[Overview][Types][Classes][Index] | Reference for unit 'iostream' (#fcl)

# TIOStream.Create

Construct a new instance of TIOStream

## Declaration

Source position: iostream.pp line 37

`public constructor TIOStream.Create(`
`aIOSType: TIOSType`
`);`

## Arguments

`aIOSType` |  | Type of stream to create

## Description

Create creates a new instance of TIOStream, which can subsequently be used

## Errors

No checking is performed to see whether the requested file descriptor is actually open for reading/writing. In that case, subsequent calls to Read or Write or seek will fail.

## See also

TIOStream.Read |  | Read data from the stream.
TIOStream.Write |  | Write data to the stream